Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.struts.actions
Class DataForwardAction

`java.lang.Object
org.apache.struts.action.Action
oracle.adf.controller.struts.actions.DataAction
oracle.adf.controller.struts.actions.DataForwardAction`

All Implemented Interfaces:
  Lifecycle

public class DataForwardAction
extends DataAction

DataForwardAction implements an easy-to-override `Lifecycle` for a "data page", which is the logical pairing of a page that renders information from the model, and a "companion" `DataForwardAction` that forwards to that page. Since by convention a "data page" always posts/links back to itself, its companion `DataForwardAction` both prepares the model for rendering as well as handles events submitted by that page.

Following after the default Struts `PageForwardAction`, the page to which the `DataForwardAction` forwards is noted in the `parameter` property of the Struts `ActionMapping`.

Currently `DataForwardAction` is used as a marker class so the Struts design time can properly maintain the `parameter` property for the companion page. Actions implemented by classes that are an instance of `DataAction` but not an instance of `DataForwardAction` will not have their `parameter` property set. In the future, there may be new functionality that is `DataForwardAction` specific.

Field Summary

Fields inherited from class oracle.adf.controller.struts.actions.DataAction
`clazz, eventParam, events`

Fields inherited from class org.apache.struts.action.Action
`ACTION_SERVLET_KEY, APPLICATION_KEY, DATA_SOURCE_KEY, defaultLocale, ERROR_KEY, EXCEPTION_KEY, FORM_BEANS_KEY, FORWARDS_KEY, LOCALE_KEY, MAPPING_KEY, MAPPINGS_KEY, MESSAGE_KEY, MESSAGES_KEY, MULTIPART_KEY, PLUG_INS_KEY, REQUEST_PROCESSOR_KEY, servlet, SERVLET_KEY, TRANSACTION_TOKEN_KEY`

Constructor Summary
`DataForwardAction()`

Methods inherited from class oracle.adf.controller.struts.actions.DataAction
`buildEventList, buildEventList, execute, execute, findForward, findForward, getEventMethod, getEventMethod, getPageLifecycle, handleError, handleError, handleLifecycle, handleLifecycle, hasErrors, hasErrors, initializeMethodParameters, initializeMethodParameters, invokeCustomMethod, invokeCustomMethod, prepareModel, prepareModel, processComponentEvents, processComponentEvents, processUpdateModel, processUpdateModel, refreshModel, refreshModel, reportErrors, reportErrors, saveErrors, saveErrors, shouldAllowModelUpdate, shouldAllowModelUpdate, validateModelUpdates, validateModelUpdates`

Methods inherited from class org.apache.struts.action.Action
`generateToken, getDataSource, getDataSource, getLocale, getResources, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, perform, perform, resetToken, saveErrors, saveMessages, saveToken, setLocale, setServlet, toHex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataForwardAction

    public DataForwardAction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.